
Foreman - Bug #6285

Settings API does not parse incoming values

06/19/2014 10:52 AM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: API   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The api saves setting's value as a string independently of the setting type. This can cause unexpected errors when the value bubbles

through to a place where string is not expected.

Associated revisions

Revision 225b3818 - 07/02/2014 10:13 AM - Tomáš Strachota

Fixes #6285 - Settings API does not parse incoming values to correct data type

History

#1 - 06/19/2014 11:02 AM - Tomáš Strachota

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1523

#2 - 07/02/2014 10:14 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#3 - 07/02/2014 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 225b381805419ca6a393833f83f18d78f0ce187b.
